Package org.springframework.core.type.filter

# Class AssignableTypeFilter

java.lang.Object
org.springframework.core.type.filter.AbstractTypeHierarchyTraversingFilter
org.springframework.core.type.filter.AssignableTypeFilter

All Implemented Interfaces:
  `TypeFilter`

public class AssignableTypeFilter extends AbstractTypeHierarchyTraversingFilter
A simple filter which matches classes that are assignable to a given type.

Since:
  2.5
Author:
  Rod Johnson, Mark Fisher, Ramnivas Laddad

## Field Summary

### Fields inherited from class org.springframework.core.type.filter.AbstractTypeHierarchyTraversingFilter

`logger`

## Constructor Summary

Constructors
Constructor
Description
`AssignableTypeFilter(Class<?> targetType)`
Create a new AssignableTypeFilter for the given type.

## Method Summary

Modifier and Type
Method
Description
`final Class<?>`
`getTargetType()`
Return the `type` that this instance is using to filter candidates.
`protected boolean`
`matchClassName(String className)`
Override this to match on type name.
`protected Boolean`
`matchInterface(String interfaceName)`
Override this to match on interface type name.
`protected Boolean`
`matchSuperClass(String superClassName)`
Override this to match on supertype name.
`protected Boolean`
`matchTargetType(String typeName)`

### Methods inherited from class org.springframework.core.type.filter.AbstractTypeHierarchyTraversingFilter

`match, matchSelf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AssignableTypeFilter

public AssignableTypeFilter(Class<?> targetType)
Create a new AssignableTypeFilter for the given type.

Parameters:
  `targetType` - the type to match

## Method Details

### getTargetType

public final Class<?> getTargetType()
Return the `type` that this instance is using to filter candidates.

Since:
  5.0

### matchClassName

protected boolean matchClassName(String className)
Description copied from class: `AbstractTypeHierarchyTraversingFilter`
Override this to match on type name.

Overrides:
  `matchClassName` in class `AbstractTypeHierarchyTraversingFilter`

### matchSuperClass

@Nullable protected Boolean matchSuperClass(String superClassName)
Description copied from class: `AbstractTypeHierarchyTraversingFilter`
Override this to match on supertype name.

Overrides:
  `matchSuperClass` in class `AbstractTypeHierarchyTraversingFilter`

### matchInterface

@Nullable protected Boolean matchInterface(String interfaceName)
Description copied from class: `AbstractTypeHierarchyTraversingFilter`
Override this to match on interface type name.

Overrides:
  `matchInterface` in class `AbstractTypeHierarchyTraversingFilter`

### matchTargetType

@Nullable protected Boolean matchTargetType(String typeName)